package io.renren.dao;

import io.renren.entity.SysPeopleEquipment;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 人员设备下发信息Mapper接口
 *
 * @author dcsoft
 * @date 2023-06-12
 */
@Mapper
public interface SysPeopleEquipmentMapper
{
    /**
     * 查询人员设备下发信息
     *
     * @param id 人员设备下发信息主键
     * @return 人员设备下发信息
     */
    public SysPeopleEquipment selectSysPeopleEquipmentById(Long id);

    /**
     * 查询人员设备下发信息列表
     *
     * @param sysPeopleEquipment 人员设备下发信息
     * @return 人员设备下发信息集合
     */
    public List<SysPeopleEquipment> selectSysPeopleEquipmentList(SysPeopleEquipment sysPeopleEquipment);

    /**
     * 新增人员设备下发信息
     *
     * @param sysPeopleEquipment 人员设备下发信息
     * @return 结果
     */
    public int insertSysPeopleEquipment(SysPeopleEquipment sysPeopleEquipment);

    /**
     * 修改人员设备下发信息
     *
     * @param sysPeopleEquipment 人员设备下发信息
     * @return 结果
     */
    public int updateSysPeopleEquipment(SysPeopleEquipment sysPeopleEquipment);

    /**
     * 删除人员设备下发信息
     *
     * @param id 人员设备下发信息主键
     * @return 结果
     */
    public int deleteSysPeopleEquipmentById(Long id);

    /**
     * 批量删除人员设备下发信息
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSysPeopleEquipmentByIds(Long[] ids);

    public SysPeopleEquipment selectSysPeopleEquipmentByGuId(String guid);

    public  List<SysPeopleEquipment> selectSysPeopleEquipmentByPeopleId(String peopleId);

    public  List<SysPeopleEquipment> selectSysPeopleEquipmentByVisitorId(Long visitorId);


    public int deleteSysPeopleEquipment(SysPeopleEquipment sysPeopleEquipment);
}
